Bug 544554 - Internal audio does not function if webcam is plugged in when machine is powered on.
Summary: Internal audio does not function if webcam is plugged in when machine is powe...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Kysela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-05 11:41 UTC by mcisho
Modified: 2012-08-16 18:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:28:18 UTC
Type: ---


Attachments (Terms of Use)

Description mcisho 2009-12-05 11:41:34 UTC
Description of problem:
I have a Logitech Webcam C220, which has a built-in microphone. If the webcam is plugged in when the machine is powered on the internal audio is not detected and/or does not function. System -> Preferences -> Sound -> Hardware tab only shows the webcam device, it does not show the internal audio. If the webcam is not plugged in when the machine is powered on the internal audio is detected, functions correctly and appears on the Hardware tab. If the webcam is subsequently plugged in it also appears on the Hardware tab and functions correctly. I don't want to use the microphone in the webcam and the profile is set to Off on the Hardware tab.

Motherboard is an Asus M2N-E, lshw (edited) produces:-
 *-multimedia
      description: Audio device
      product: MCP55 High Definition Audio
      vendor: nVidia Corporation
      physical id: 6.1
      bus info: pci@0000:00:06.1
      version: a2
      width: 32 bits
      clock: 66MHz
      capabilities: bus_master cap_list
      configuration: driver=HDA Intel latency=0 maxlatency=5 mingnt=2
      resources: irq:22 memory:fe024000-fe027fff
 *-usb:1
      description: USB Controller
      product: MCP55 USB Controller
      vendor: nVidia Corporation
      physical id: 2.1
      bus info: pci@0000:00:02.1
      version: a2
      width: 32 bits
      clock: 66MHz
      capabilities: ehci bus_master cap_list
      configuration: driver=ehci_hcd latency=0 maxlatency=1 mingnt=3
      resources: irq:23 memory:fe02e000-fe02e0ff
    *-usbhost
         product: EHCI Host Controller
         vendor: Linux 2.6.31.6-145.fc12.x86_64 ehci_hcd
         physical id: 1
         bus info: usb@1
         logical name: usb1
         version: 2.06
         capabilities: usb-2.00
         configuration: driver=hub slots=10 speed=480.0MB/s
       *-usb
            description: Video
            vendor: Logitech, Inc.
            physical id: 9
            bus info: usb@1:9
            version: 0.09
            serial: FC432F50
            capabilities: usb-2.00
            configuration: driver=snd-usb-audio maxpower=500mA speed=480.0MB/s

What other output, if any, would you like me to provide?  


Version-Release number of selected component (if applicable):
Fedora 12, x86_64, yum updated regularly.

How reproducible:
Constantly

Steps to Reproduce:
1. Plug in USB webcam
2. Power on machine
3.
  
Actual results:
No sound from internal audio.

Expected results:
Sound

Additional info:

Comment 1 mcisho 2010-07-07 15:17:30 UTC
I recently upgraded the machine to Fedora 13 and the same problem still exists.

Comment 2 mcisho 2010-12-16 16:55:02 UTC
I recently upgraded the machine to Fedora 14 and the problem is fixed. Thanks.

Comment 3 mcisho 2010-12-17 13:28:57 UTC
I am wrong, the problem is not completely fixed. Yesterday evening I was wondering if it had been fixed in F14 so I plugged in the webcam and re-booted the machine; result, both the internal audio and the webcam were displayed in Sound Preferences and I could play and listen to music. This morning the webcam was still plugged in when I powered on the machine; result, only the webcam was displayed in Sound Preferences and no sound is audiable.

Comment 4 Fedora End Of Life 2012-08-16 18:28:21 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.